io.vertx.lang.groovy

## Class ConversionHelper

- java.lang.Object
- - io.vertx.lang.groovy.ConversionHelper

-     public class ConversionHelper
      extends Object

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T,R> R` | `applyIfNotNull(T expr, java.util.function.Function<T,R> function)`
    `static List<Object>` | `fromJsonArray(JsonArray json)`
    `static Map<String,Object>` | `fromJsonObject(JsonObject json)`
    `static JsonArray` | `toJsonArray(List<Object> list)`
    `static JsonObject` | `toJsonObject(Map<String,Object> map)`
    `static Object` | `unwrap(Object obj)`
    `static <T> T` | `wrap(Object obj)`
    `static <T,R> R` | `wrap(T t, java.util.function.Function<T,Object> f)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionHelper

          public ConversionHelper()

  - ### Method Detail

    - #### unwrap

          public static Object unwrap(Object obj)

    - #### toJsonObject

          public static JsonObject toJsonObject(Map<String,Object> map)

    - #### toJsonArray

          public static JsonArray toJsonArray(List<Object> list)

    - #### applyIfNotNull

          public static <T,R> R applyIfNotNull(T expr,
                                               java.util.function.Function<T,R> function)

    - #### wrap

          public static <T,R> R wrap(T t,
                                     java.util.function.Function<T,Object> f)

    - #### wrap

          public static <T> T wrap(Object obj)

    - #### fromJsonObject

          public static Map<String,Object> fromJsonObject(JsonObject json)

    - #### fromJsonArray

          public static List<Object> fromJsonArray(JsonArray json)

Copyright © 2017. All rights reserved.